Bug 1025051 - [abrt] gnome-software-3.10.3-1.fc20: magazine_chain_pop_head: Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
[abrt] gnome-software-3.10.3-1.fc20: magazine_chain_pop_head: Process /usr/bi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1dbda38eadb5c758426433672f0...
:
: 1025042 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 16:57 EDT by Maël Lavault
Modified: 2015-06-29 08:46 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:46:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (94.34 KB, text/plain)
2013-10-30 16:57 EDT, Maël Lavault
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-30 16:57 EDT, Maël Lavault
no flags Details
File: core_backtrace (44.73 KB, text/plain)
2013-10-30 16:57 EDT, Maël Lavault
no flags Details
File: dso_list (11.67 KB, text/plain)
2013-10-30 16:57 EDT, Maël Lavault
no flags Details
File: environ (1.49 KB, text/plain)
2013-10-30 16:57 EDT, Maël Lavault
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-30 16:57 EDT, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-30 16:58 EDT, Maël Lavault
no flags Details
File: maps (56.34 KB, text/plain)
2013-10-30 16:58 EDT, Maël Lavault
no flags Details
File: open_fds (1.02 KB, text/plain)
2013-10-30 16:58 EDT, Maël Lavault
no flags Details
File: proc_pid_status (968 bytes, text/plain)
2013-10-30 16:58 EDT, Maël Lavault
no flags Details
File: var_log_messages (7.66 KB, text/plain)
2013-10-30 16:58 EDT, Maël Lavault
no flags Details

  None (edit)
Description Maël Lavault 2013-10-30 16:57:32 EDT
Version-Release number of selected component:
gnome-software-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:541
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_array_sized_new at garray.c:198
 #4 g_array_new at garray.c:170
 #5 gtk_widget_path_new at gtkwidgetpath.c:120
 #6 gtk_box_get_path_for_child at gtkbox.c:969
 #7 gtk_container_get_path_for_child at gtkcontainer.c:3559
 #8 _gtk_widget_create_path at gtkwidget.c:15321
 #9 _gtk_style_context_peek_style_property at gtkstylecontext.c:2331
Comment 1 Maël Lavault 2013-10-30 16:57:41 EDT
Created attachment 817636 [details]
File: backtrace
Comment 2 Maël Lavault 2013-10-30 16:57:44 EDT
Created attachment 817637 [details]
File: cgroup
Comment 3 Maël Lavault 2013-10-30 16:57:48 EDT
Created attachment 817638 [details]
File: core_backtrace
Comment 4 Maël Lavault 2013-10-30 16:57:51 EDT
Created attachment 817639 [details]
File: dso_list
Comment 5 Maël Lavault 2013-10-30 16:57:54 EDT
Created attachment 817640 [details]
File: environ
Comment 6 Maël Lavault 2013-10-30 16:57:57 EDT
Created attachment 817641 [details]
File: exploitable
Comment 7 Maël Lavault 2013-10-30 16:58:00 EDT
Created attachment 817642 [details]
File: limits
Comment 8 Maël Lavault 2013-10-30 16:58:04 EDT
Created attachment 817643 [details]
File: maps
Comment 9 Maël Lavault 2013-10-30 16:58:08 EDT
Created attachment 817644 [details]
File: open_fds
Comment 10 Maël Lavault 2013-10-30 16:58:11 EDT
Created attachment 817645 [details]
File: proc_pid_status
Comment 11 Maël Lavault 2013-10-30 16:58:14 EDT
Created attachment 817646 [details]
File: var_log_messages
Comment 12 Richard Hughes 2013-11-01 08:27:48 EDT
*** Bug 1025042 has been marked as a duplicate of this bug. ***
Comment 13 Dan Mossor [danofsatx] 2013-11-13 22:31:20 EST
Removing unneeded software that was selected during initial install.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.11.7-300.fc20.x86_64
package:        gnome-software-3.10.3-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Matthew Javelet 2013-12-14 00:54:23 EST
I believe the issue occured when I was removing software. Unable to replicate.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 mastaiza 2013-12-20 18:07:47 EST
Another user experienced a similar problem:

After removing the application software falls

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.11.9-300.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Emanuel Somosan 2013-12-22 10:55:49 EST
Another user experienced a similar problem:

Just tried to install a screencasting program.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            935800001
Comment 17 Michael Catanzaro 2013-12-23 15:42:00 EST
Another user experienced a similar problem:

Removing software

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Michael Catanzaro 2013-12-23 15:45:42 EST
Another user experienced a similar problem:

1) In the page that lists all installed software, I clicked Remove on one app.
2) I switched to the All page and searched for another app while the first app was being removed.
3) Before the search completed, gnome-software crashed.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Julien Maitrehenry 2013-12-26 15:12:26 EST
Another user experienced a similar problem:

Try to remove an app

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Maël Lavault 2014-01-06 18:09:31 EST
Another user experienced a similar problem:

I clicked the remove button for the LASH panel software.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
kernel:         3.12.6-300.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Fedora End Of Life 2015-05-29 05:39:43 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-06-29 08:46:22 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.